Import selected InboxKit mailboxes
curl --request POST \
--url https://api.getoneprofile.ai/mailboxes/inboxkit/import/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email_addresses": [
"<string>"
],
"daily_send_limit": 1000
}
'import requests
url = "https://api.getoneprofile.ai/mailboxes/inboxkit/import/"
payload = {
"email_addresses": ["<string>"],
"daily_send_limit": 1000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email_addresses: ['<string>'], daily_send_limit: 1000})
};
fetch('https://api.getoneprofile.ai/mailboxes/inboxkit/import/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domains_authorizing": [
"<string>"
],
"imported_now": 123,
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}senders
Import selected InboxKit mailboxes
Mailboxes on authorized domains connect immediately; other domains start the async delegation handshake and import on completion.
POST
/
mailboxes
/
inboxkit
/
import
/
Import selected InboxKit mailboxes
Authorizations
HTTPBearerAPIKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?